Bug 13890 - make install does not consider prefix
Summary: make install does not consider prefix
Status: RESOLVED WONTFIX
Alias: None
Product: glibc
Classification: Unclassified
Component: libc (show other bugs)
Version: 2.15
: P2 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 02:33 UTC by Teodori Serge
Modified: 2014-06-13 14:07 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Teodori Serge 2012-03-22 02:33:36 UTC
When building glibc-2.15 for tool chain environment, glibc "make install" complains that "/var/db" cannot be accessed. I think the "prefix" is not applied.
After creating the directory, it worked. "/var/db" now contains a "Makefile".
I used as "prefix" "/opt/toolchaine", so it has to be "/opt/toolchaine/var/db".

It contains as first line:
DATABASES = $(wildcard /etc/passwd /etc/group /etc/ethers /etc/protocols \
                       /etc/rpc /etc/services /etc/shadow /etc/gshadow \
                       /etc/netgroup)
Comment 1 Paul Pluzhnikov 2012-03-22 15:08:29 UTC
I believe this is by design.

You'll want to set vardbdir (see top-level Makeconfig).
Comment 2 Teodori Serge 2012-03-22 21:47:42 UTC
ok but anyway it should consider the prefix...
glibc-2.14 didn't need /var/db it must be something new
Comment 3 Andreas Jaeger 2012-03-26 10:18:28 UTC
nss_db is a new feature not in glibc 2.14 yet.

I agree with Paul in comment 1.
I don't think it should consider the prefix, /var is separate from the prefix.